globus_xio_tcp_driver_types(3)

NAME
globus_xio_tcp_driver_types - Types

 - Types.

SYNOPSIS

  Macros

#define GLOBUS_XIO_TCP_INVALID_HANDLE

  Enumerations

enum globus_xio_tcp_send_flags_t { GLOBUS_XIO_TCP_SEND_OOB = MSG_OOB }

Detailed Description

Types.

Macro Definition Documentation

  #define GLOBUS_XIO_TCP_INVALID_HANDLE
Invalid handle type

See also
    GLOBUS_XIO_TCP_SET_HANDLE

Enumeration Type Documentation

  enum globus_xio_tcp_send_flags_t
TCP driver specific types

Enumerator

GLOBUS_XIO_TCP_SEND_OOB
    Use this with GLOBUS_XIO_TCP_SET_SEND_FLAGS to send a TCP message out of band (Urgent data flag set)

Author

Generated automatically by Doxygen for globus_xio from the source code.